%if 0%{?el7}
%define dist .el7
%endif

Name:		curl-loader
Version:	0.56
Release:	4%{?dist}
Summary:	Simulating application load and application.

Group:		Applications/Internet
License:	GPLv2
URL:		http://curl-loader.sourceforge.net/
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-makefix.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	openssl-devel, zlib-devel, krb5-devel, cmake, libnsl2-devel libnsl
BuildRequires:  gcc gcc-c++
#Requires:	curl, libevent, c-ares

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
curl-loader (also known as "omes-nik" and "davilka") is an open-source tool written in C-language, simulating application load and application behavior of thousands and tens of thousand HTTP/HTTPS and FTP/FTPS clients, each with its own source IP-address. In contrast to other tools curl-loader is using real C-written client protocol stacks, namely, HTTP and FTP stacks of libcurl and TLS/SSL of openssl, and simulates user behavior with support for login and authentication flavors. 

%prep
%setup -q
%patch0 -p1 -b .make

%build
export LIBDIR=%{_libdir}
make %{?_smp_mflags} ./lib/libcares.a
make %{?_smp_mflags} ./lib/libcurl.a
make %{?_smp_mflags} ./lib/libevent.a
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
install -D -m0755 curl-loader $RPM_BUILD_ROOT%{_bindir}/curl-loader
install -D -m0644 doc/curl-loader.1 $RPM_BUILD_ROOT%{_mandir}/man1/curl-loader.1
install -D -m0644 doc/curl-loader-config.5 $RPM_BUILD_ROOT%{_mandir}/man5/curl-loader-config.5
rm -f doc/curl-loader.1
rm -f doc/curl-loader-config.5

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/{PROBLEM-REPORTING,QUICK-START,README,THANKS,TODO} conf-examples
%{!?_licensedir:%global license %%doc}
%license doc/COPYING
%{_bindir}/curl-loader
%{_mandir}/man*/*.gz

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.56-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.56-3
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 0.56-2
- Rebuilt for fc22

* Fri Sep  2 2011 momo-i <webmaster@momo-i.org> 0.53-1
- Initial rpm release.
